JNA API 3.2.7

## com.sun.jna
Interface NativeMapped

All Known Implementing Classes:
  ByReference, ByteByReference, DoubleByReference, FloatByReference, IntByReference, IntegerType, LongByReference, NativeLong, NativeLongByReference, PointerByReference, PointerType, ShortByReference, Structure.FFIType.size_t

    public interface NativeMapped

Provide conversion for a Java type to and from a native type. `Function` and `Structure` will use this interface to determine how to map a given Java object into a native type.

Implementations of this interface must provide a no-args constructor.

Author:
  wmeissner

Method Summary
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`Class` | `nativeType()` Indicate the native type used by this converter.
`Object` | `toNative()` Convert this object into a supported native type.

Method Detail

### fromNative

    Object fromNative(Object nativeValue,
                      FromNativeContext context)

  Convert the given native object into its Java representation using the given context.

### toNative

    Object toNative()

  Convert this object into a supported native type.

### nativeType

    Class nativeType()

  Indicate the native type used by this converter.

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.